<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ReplaceAndDestroyLambda Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d77/class_replace_and_destroy_lambda.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ReplaceAndDestroyLambda Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ReplaceAndDestroyLambda:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/d77/class_replace_and_destroy_lambda.png" usemap="#ReplaceAndDestroyLambda_map" alt=""/>
  <map id="ReplaceAndDestroyLambda_map" name="ReplaceAndDestroyLambda_map">
<area href="../../d2/dda/class_destroy_item_in_corpses_hands_and_create_new_on_gnd_lambda.html" alt="DestroyItemInCorpsesHandsAndCreateNewOnGndLambda" shape="rect" coords="0,112,341,136"/>
<area href="../../dd/d37/class_chained_drop_and_restrain_lambda.html" alt="ChainedDropAndRestrainLambda" shape="rect" coords="0,168,341,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af0d1c490745e83ee15113332eae547b2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d77/class_replace_and_destroy_lambda.html#af0d1c490745e83ee15113332eae547b2">ReplaceAndDestroyLambda</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> new_item_type, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d9/db9/classbool.html">bool</a> destroy=false)</td></tr>
<tr class="separator:af0d1c490745e83ee15113332eae547b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56d05b0fdeff010defe6c9e1bb563df3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d77/class_replace_and_destroy_lambda.html#a56d05b0fdeff010defe6c9e1bb563df3">CopyOldPropertiesToNew</a> (notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</td></tr>
<tr class="separator:a56d05b0fdeff010defe6c9e1bb563df3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2588d2e1087a7761259d0a6ecbf11d06"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d77/class_replace_and_destroy_lambda.html#a2588d2e1087a7761259d0a6ecbf11d06">OnSuccess</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</td></tr>
<tr class="separator:a2588d2e1087a7761259d0a6ecbf11d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a208aab45e4f75a57bac0590067c54321"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d77/class_replace_and_destroy_lambda.html#a208aab45e4f75a57bac0590067c54321">m_TargetPlayer</a></td></tr>
<tr class="separator:a208aab45e4f75a57bac0590067c54321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79d6dde8faf7ff0203a0a99cdfc6ab2c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d77/class_replace_and_destroy_lambda.html#a79d6dde8faf7ff0203a0a99cdfc6ab2c">m_Destroy</a></td></tr>
<tr class="separator:a79d6dde8faf7ff0203a0a99cdfc6ab2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a3ff928ff9675528ba39705b5bcdd87"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d77/class_replace_and_destroy_lambda.html#a2a3ff928ff9675528ba39705b5bcdd87">m_Drop</a></td></tr>
<tr class="separator:a2a3ff928ff9675528ba39705b5bcdd87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00144">144</a> of file <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af0d1c490745e83ee15113332eae547b2" name="af0d1c490745e83ee15113332eae547b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0d1c490745e83ee15113332eae547b2">&#9670;&#160;</a></span>ReplaceAndDestroyLambda()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ReplaceAndDestroyLambda::ReplaceAndDestroyLambda </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>new_item_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>destroy</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00150">150</a> of file <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a56d05b0fdeff010defe6c9e1bb563df3" name="a56d05b0fdeff010defe6c9e1bb563df3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56d05b0fdeff010defe6c9e1bb563df3">&#9670;&#160;</a></span>CopyOldPropertiesToNew()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ReplaceAndDestroyLambda::CopyOldPropertiesToNew </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>old_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00157">157</a> of file <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a>.</p>

</div>
</div>
<a id="a2588d2e1087a7761259d0a6ecbf11d06" name="a2588d2e1087a7761259d0a6ecbf11d06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2588d2e1087a7761259d0a6ecbf11d06">&#9670;&#160;</a></span>OnSuccess()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ReplaceAndDestroyLambda::OnSuccess </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>new_item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00162">162</a> of file <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a79d6dde8faf7ff0203a0a99cdfc6ab2c" name="a79d6dde8faf7ff0203a0a99cdfc6ab2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79d6dde8faf7ff0203a0a99cdfc6ab2c">&#9670;&#160;</a></span>m_Destroy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ReplaceAndDestroyLambda::m_Destroy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00147">147</a> of file <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a>.</p>

</div>
</div>
<a id="a2a3ff928ff9675528ba39705b5bcdd87" name="a2a3ff928ff9675528ba39705b5bcdd87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a3ff928ff9675528ba39705b5bcdd87">&#9670;&#160;</a></span>m_Drop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ReplaceAndDestroyLambda::m_Drop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00148">148</a> of file <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a>.</p>

</div>
</div>
<a id="a208aab45e4f75a57bac0590067c54321" name="a208aab45e4f75a57bac0590067c54321"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a208aab45e4f75a57bac0590067c54321">&#9670;&#160;</a></span>m_TargetPlayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> ReplaceAndDestroyLambda::m_TargetPlayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html#l00146">146</a> of file <a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d7/d07/_action_unrestrain_target_8c_source.html">ActionUnrestrainTarget.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d77/class_replace_and_destroy_lambda.html">ReplaceAndDestroyLambda</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
